<div class="icon-row">
  <div *ngFor="let icon of icons, let  i = index">
    <ng-miam-icon [width]="32" [height]="32" [iconName]="icon"></ng-miam-icon>
  </div>
</div>
<div  data-range>
  <input  type="range"   [value]="formControl.value"  min="1" [max]="this.steps.length" step="1" list="options" class="range-input"
    data-range-input />
  <datalist class="range-list">
    <option *ngFor="let step of steps, let  i = index" [value]="step" data-range-link="i">
  </datalist>
</div>